[![PyPI version](https://badge.fury.io/py/cmind.svg)](https://pepy.tech/project/cmind)
[![Python Version](https://img.shields.io/badge/python-3+-blue.svg)](https://github.com/mlcommons/ck/tree/master/cm/cmind)
[![Downloads](https://pepy.tech/badge/cmind/month)](https://pepy.tech/project/cmind)
[![License](https://img.shields.io/badge/License-Apache%202.0-green)](LICENSE.md)

[![CM test](https://github.com/mlcommons/ck/actions/workflows/test-cm.yml/badge.svg)](https://github.com/mlcommons/ck/actions/workflows/test-cm.yml)
[![CM script automation features test](https://github.com/mlcommons/ck/actions/workflows/test-cm-script-features.yml/badge.svg)](https://github.com/mlcommons/ck/actions/workflows/test-cm-script-features.yml)

### About

The Collective Knowledge project (CK) is motivated by our tedious experience reproducing experiments 
from [150 research papers](https://learning.acm.org/techtalks/reproducibility)
and validating them in the real world - we decided to develop a universal and human-readable 
interface to access any software project and run it on any platform with any software, hardware and data.

The [Collective Mind tool (CM)](https://github.com/mlcommons/ck/tree/master/cm/cmind)
helps users to add this universal interface to their software projects and transform them into a 
[database of portable and reusable components](https://github.com/mlcommons/ck/blob/master/docs/list_of_scripts.md)
in a transparent and non-intrusive way.

CM is being developed by the [open MLCommons taskforce](https://github.com/mlcommons/ck/blob/master/docs/mlperf-education-workgroup.md) 
to solve the "dependency hell" for ML and AI systems, reduce their development, benchmarking, optimization and deployment time and costs,
and automate [reproducibility initiatives and artifact evaluation at conferences](https://github.com/mlcommons/ck/blob/master/docs/tutorials/sc22-scc-mlperf.md).


### Documentation and the Getting Started Guide

* [Table of contents](https://github.com/mlcommons/ck/tree/master/docs/README.md)

### Copyright

2021-2022 [MLCommons](https://mlcommons.org)

### Maintainers

* [Grigori Fursin](https://cknowledge.io/@gfursin)
* [Arjun Suresh](https://www.linkedin.com/in/arjunsuresh)


### Acknowledgments

This project is supported by [MLCommons](https://mlcommons.org), [OctoML](https://octoml.ai) 
and [individual contributors](https://github.com/mlcommons/ck/blob/master/CONTRIBUTING.md).
